# HG changeset patch
# Node ID 3db91e173954
# Parent  3c11bbd93e97
diff --git a/libpurple/internal.h b/libpurple/internal.h
--- a/libpurple/internal.h
+++ b/libpurple/internal.h
@@ -19,13 +19,13 @@
  * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02111-1301  USA
  */
 
-#ifndef PURPLE_INTERNAL_H
-#define PURPLE_INTERNAL_H
-
 #if !defined(PURPLE_GLOBAL_HEADER_INSIDE) && !defined(PURPLE_COMPILATION)
 # error "only <purple.h> may be included directly"
 #endif
 
+#ifndef PURPLE_INTERNAL_H
+#define PURPLE_INTERNAL_H
+
 #ifdef HAVE_CONFIG_H
 # ifdef GETTEXT_PACKAGE
 #  undef GETTEXT_PACKAGE
diff --git a/libpurple/purpleaccountpresence.h b/libpurple/purpleaccountpresence.h
--- a/libpurple/purpleaccountpresence.h
+++ b/libpurple/purpleaccountpresence.h
@@ -18,6 +18,11 @@
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, see <https://www.gnu.org/licenses/>.
  */
+
+#if !defined(PURPLE_GLOBAL_HEADER_INSIDE) && !defined(PURPLE_COMPILATION)
+# error "only <purple.h> may be included directly"
+#endif
+
 #ifndef PURPLE_ACCOUNT_PRESENCE_H
 #define PURPLE_ACCOUNT_PRESENCE_H
 
diff --git a/libpurple/purplebuddypresence.h b/libpurple/purplebuddypresence.h
--- a/libpurple/purplebuddypresence.h
+++ b/libpurple/purplebuddypresence.h
@@ -18,6 +18,11 @@
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, see <https://www.gnu.org/licenses/>.
  */
+
+#if !defined(PURPLE_GLOBAL_HEADER_INSIDE) && !defined(PURPLE_COMPILATION)
+# error "only <purple.h> may be included directly"
+#endif
+
 #ifndef PURPLE_BUDDY_PRESENCE_H
 #define PURPLE_BUDDY_PRESENCE_H
 
diff --git a/libpurple/purplecoreuiops.h b/libpurple/purplecoreuiops.h
--- a/libpurple/purplecoreuiops.h
+++ b/libpurple/purplecoreuiops.h
@@ -17,7 +17,7 @@
  */
 
 #if !defined(PURPLE_GLOBAL_HEADER_INSIDE) && !defined(PURPLE_COMPILATION)
-# error "only <pidgin.h> may be included directly"
+# error "only <purple.h> may be included directly"
 #endif
 
 #ifndef PURPLE_CORE_UIOPS_H
diff --git a/libpurple/purplecredentialmanager.h b/libpurple/purplecredentialmanager.h
--- a/libpurple/purplecredentialmanager.h
+++ b/libpurple/purplecredentialmanager.h
@@ -17,7 +17,7 @@
  */
 
 #if !defined(PURPLE_GLOBAL_HEADER_INSIDE) && !defined(PURPLE_COMPILATION)
-# error "only <pidgin.h> may be included directly"
+# error "only <purple.h> may be included directly"
 #endif
 
 #ifndef PURPLE_CREDENTIAL_MANAGER_H
diff --git a/libpurple/purplehistorymanager.h b/libpurple/purplehistorymanager.h
--- a/libpurple/purplehistorymanager.h
+++ b/libpurple/purplehistorymanager.h
@@ -17,7 +17,7 @@
  */
 
 #if !defined(PURPLE_GLOBAL_HEADER_INSIDE) && !defined(PURPLE_COMPILATION)
-# error "only <pidgin.h> may be included directly"
+# error "only <purple.h> may be included directly"
 #endif
 
 #ifndef PURPLE_HISTORY_MANAGER_H
diff --git a/libpurple/purpleidleui.h b/libpurple/purpleidleui.h
--- a/libpurple/purpleidleui.h
+++ b/libpurple/purpleidleui.h
@@ -17,7 +17,7 @@
  */
 
 #if !defined(PURPLE_GLOBAL_HEADER_INSIDE) && !defined(PURPLE_COMPILATION)
-# error "only <pidgin.h> may be included directly"
+# error "only <purple.h> may be included directly"
 #endif
 
 #ifndef PURPLE_IDLE_UI_H
diff --git a/libpurple/purplemarkup.h b/libpurple/purplemarkup.h
--- a/libpurple/purplemarkup.h
+++ b/libpurple/purplemarkup.h
@@ -21,7 +21,7 @@
  */
 
 #if !defined(PURPLE_GLOBAL_HEADER_INSIDE) && !defined(PURPLE_COMPILATION)
-# error "only <pidgin.h> may be included directly"
+# error "only <purple.h> may be included directly"
 #endif
 
 #ifndef PURPLE_MARKUP_H
diff --git a/libpurple/purpleprotocolmanager.h b/libpurple/purpleprotocolmanager.h
--- a/libpurple/purpleprotocolmanager.h
+++ b/libpurple/purpleprotocolmanager.h
@@ -17,7 +17,7 @@
  */
 
 #if !defined(PURPLE_GLOBAL_HEADER_INSIDE) && !defined(PURPLE_COMPILATION)
-# error "only <pidgin.h> may be included directly"
+# error "only <purple.h> may be included directly"
 #endif
 
 #ifndef PURPLE_PROTOCOL_MANAGER_H
diff --git a/libpurple/purplewhiteboardmanager.h b/libpurple/purplewhiteboardmanager.h
--- a/libpurple/purplewhiteboardmanager.h
+++ b/libpurple/purplewhiteboardmanager.h
@@ -17,7 +17,7 @@
  */
 
 #if !defined(PURPLE_GLOBAL_HEADER_INSIDE) && !defined(PURPLE_COMPILATION)
-# error "only <pidgin.h> may be included directly"
+# error "only <purple.h> may be included directly"
 #endif
 
 #ifndef PURPLE_WHITEBOARD_MANAGER_H
diff --git a/libpurple/purplewhiteboardops.h b/libpurple/purplewhiteboardops.h
--- a/libpurple/purplewhiteboardops.h
+++ b/libpurple/purplewhiteboardops.h
@@ -21,7 +21,7 @@
  */
 
 #if !defined(PURPLE_GLOBAL_HEADER_INSIDE) && !defined(PURPLE_COMPILATION)
-# error "only <pidgin.h> may be included directly"
+# error "only <purple.h> may be included directly"
 #endif
 
 #ifndef PURPLE_WHITEBOARD_OPS_H
diff --git a/libpurple/purplewhiteboarduiops.h b/libpurple/purplewhiteboarduiops.h
--- a/libpurple/purplewhiteboarduiops.h
+++ b/libpurple/purplewhiteboarduiops.h
@@ -21,7 +21,7 @@
  */
 
 #if !defined(PURPLE_GLOBAL_HEADER_INSIDE) && !defined(PURPLE_COMPILATION)
-# error "only <pidgin.h> may be included directly"
+# error "only <purple.h> may be included directly"
 #endif
 
 #ifndef PURPLE_WHITEBOARD_UIOPS_H
diff --git a/pidgin/gtkblist.h b/pidgin/gtkblist.h
--- a/pidgin/gtkblist.h
+++ b/pidgin/gtkblist.h
@@ -19,6 +19,10 @@
  * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02111-1301  USA
  */
 
+#if !defined(PIDGIN_GLOBAL_HEADER_INSIDE) && !defined(PIDGIN_COMPILATION)
+# error "only <pidgin.h> may be included directly"
+#endif
+
 #ifndef _PIDGINBLIST_H_
 #define _PIDGINBLIST_H_
 
diff --git a/pidgin/pidginaccountfilterconnected.h b/pidgin/pidginaccountfilterconnected.h
--- a/pidgin/pidginaccountfilterconnected.h
+++ b/pidgin/pidginaccountfilterconnected.h
@@ -20,6 +20,10 @@
  * along with this program; if not, see <https://www.gnu.org/licenses/>.
  */
 
+#if !defined(PIDGIN_GLOBAL_HEADER_INSIDE) && !defined(PIDGIN_COMPILATION)
+# error "only <pidgin.h> may be included directly"
+#endif
+
 #ifndef PIDGIN_ACCOUNT_FILTER_CONNECTED_H
 #define PIDGIN_ACCOUNT_FILTER_CONNECTED_H
 
diff --git a/pidgin/pidginaccountfilterprotocol.h b/pidgin/pidginaccountfilterprotocol.h
--- a/pidgin/pidginaccountfilterprotocol.h
+++ b/pidgin/pidginaccountfilterprotocol.h
@@ -20,6 +20,10 @@
  * along with this program; if not, see <https://www.gnu.org/licenses/>.
  */
 
+#if !defined(PIDGIN_GLOBAL_HEADER_INSIDE) && !defined(PIDGIN_COMPILATION)
+# error "only <pidgin.h> may be included directly"
+#endif
+
 #ifndef PIDGIN_ACCOUNT_FILTER_PROTOCOL_H
 #define PIDGIN_ACCOUNT_FILTER_PROTOCOL_H
 
diff --git a/pidgin/pidginaccountstore.h b/pidgin/pidginaccountstore.h
--- a/pidgin/pidginaccountstore.h
+++ b/pidgin/pidginaccountstore.h
@@ -20,6 +20,10 @@
  * along with this program; if not, see <https://www.gnu.org/licenses/>.
  */
 
+#if !defined(PIDGIN_GLOBAL_HEADER_INSIDE) && !defined(PIDGIN_COMPILATION)
+# error "only <pidgin.h> may be included directly"
+#endif
+
 #ifndef PIDGIN_ACCOUNT_STORE_H
 #define PIDGIN_ACCOUNT_STORE_H
 
diff --git a/pidgin/pidgindnd.h b/pidgin/pidgindnd.h
--- a/pidgin/pidgindnd.h
+++ b/pidgin/pidgindnd.h
@@ -20,6 +20,10 @@
  * along with this program; if not, see <https://www.gnu.org/licenses/>.
  */
 
+#if !defined(PIDGIN_GLOBAL_HEADER_INSIDE) && !defined(PIDGIN_COMPILATION)
+# error "only <pidgin.h> may be included directly"
+#endif
+
 #ifndef PIDGIN_DND_H
 #define PIDGIN_DND_H
 
diff --git a/pidgin/pidginprivate.h b/pidgin/pidginprivate.h
--- a/pidgin/pidginprivate.h
+++ b/pidgin/pidginprivate.h
@@ -20,6 +20,10 @@
  * along with this program; if not, see <https://www.gnu.org/licenses/>.
  */
 
+#if !defined(PIDGIN_GLOBAL_HEADER_INSIDE) && !defined(PIDGIN_COMPILATION)
+# error "only <pidgin.h> may be included directly"
+#endif
+
 #ifndef PIDGIN_PRIVATE_H
 #define PIDGIN_PRIVATE_H
 
diff --git a/pidgin/pidginstatusprimitivechooser.h b/pidgin/pidginstatusprimitivechooser.h
--- a/pidgin/pidginstatusprimitivechooser.h
+++ b/pidgin/pidginstatusprimitivechooser.h
@@ -20,6 +20,10 @@
  * along with this program; if not, see <https://www.gnu.org/licenses/>.
  */
 
+#if !defined(PIDGIN_GLOBAL_HEADER_INSIDE) && !defined(PIDGIN_COMPILATION)
+# error "only <pidgin.h> may be included directly"
+#endif
+
 #ifndef PIDGIN_STATUS_PRIMITIVE_CHOOSER_H
 #define PIDGIN_STATUS_PRIMITIVE_CHOOSER_H
 
diff --git a/pidgin/pidginstatusprimitivestore.h b/pidgin/pidginstatusprimitivestore.h
--- a/pidgin/pidginstatusprimitivestore.h
+++ b/pidgin/pidginstatusprimitivestore.h
@@ -20,6 +20,10 @@
  * along with this program; if not, see <https://www.gnu.org/licenses/>.
  */
 
+#if !defined(PIDGIN_GLOBAL_HEADER_INSIDE) && !defined(PIDGIN_COMPILATION)
+# error "only <pidgin.h> may be included directly"
+#endif
+
 #ifndef PIDGIN_STATUS_PRIMITIVE_STORE_H
 #define PIDGIN_STATUS_PRIMITIVE_STORE_H
 
